Skip to main content
PUT
/
inventory
/
items
/
update
/
{id}
Update Item
curl --request PUT \
  --url https://api.decodahealth.com/inventory/items/update/{id} \
  --header 'API-KEY: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'TENANT: <tenant>' \
  --data '
{
  "name": "<string>",
  "brandName": "<string>",
  "description": "<string>",
  "price": 123,
  "category": "<string>",
  "unit": "AMPOULES",
  "isPhysical": true,
  "isArchived": true,
  "internalNotes": "<string>",
  "sortOrder": 123,
  "allowCustomPricing": true,
  "externalId": "<string>",
  "exemptedTaxIds": [
    "<string>"
  ],
  "cost": 123
}
'
{
  "name": "<string>",
  "price": 123,
  "id": "<string>",
  "brandName": "<string>",
  "description": "<string>",
  "category": "<string>",
  "unit": "AMPOULES",
  "isPhysical": true,
  "isArchived": false,
  "internalNotes": "<string>",
  "sortOrder": 123,
  "allowCustomPricing": false,
  "type": "PRODUCT",
  "externalId": "<string>",
  "exemptedTaxIds": [
    "<string>"
  ],
  "cost": 123,
  "stocks": [
    {
      "itemId": "<string>",
      "stockId": "<string>",
      "quantityUsed": 123
    }
  ]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

id
string
required

Body

application/json

Schema for partial updates to an item.

name
string | null

Name of the item

brandName
string | null

Optional brand name of the item

description
string | null

Optional description of the item

price
integer | null

Price of the item in cents

category
string | null

Category name (references category.name)

unit
enum<string> | null

Unit of measurement for the item

Available options:
AMPOULES,
APPLICATORS,
BOTTLES,
BOXES,
CAPSULES,
CUPS,
DOSES,
G_PER_ML,
GRAMS,
IU,
IU_PER_ML,
OUNCES,
FLUID_OUNCES,
KG,
KITS,
LITERS,
MCG,
MG,
MG_PER_ML,
ML,
MMOL,
MICROGRAM_PER_ML,
PACKS,
PAIRS,
PATCHES,
PERCENTAGE,
PIECES,
POUCHES,
ROLLS,
SACHETS,
SHEETS,
SPRAYS,
STRIPS,
SYRINGES,
TABLETS,
TABLETS_PER_DAY,
TESTS,
TUBES,
UNITS,
VIALS,
TREATMENTS,
SESSIONS,
PULSES,
JOULES,
CENTIMETERS,
THREAD_COUNT,
INJECTIONS,
WRINKLE_UNITS,
POUNDS,
FEET,
INCHES
isPhysical
boolean | null

Whether the item is physical

isArchived
boolean | null

Whether the item is archived

internalNotes
string | null

Optional internal notes for the item

sortOrder
integer | null

Optional sort order for the item

allowCustomPricing
boolean | null

Whether custom pricing is allowed for this item

externalId
string | null

Optional external ID for the item

exemptedTaxIds
string[] | null

List of tax IDs that this item is exempted from (excludes from scope-based taxes)

cost
integer | null

Cost of the item in cents

Response

Successful Response

name
string
required

Name of the item

price
integer
required

Price of the item in cents

id
string

Unique identifier for the item

brandName
string | null

Optional brand name of the item

description
string | null

Optional description of the item

category
string | null

Category name (references category.name)

unit
enum<string> | null

Unit of measurement for the item

Available options:
AMPOULES,
APPLICATORS,
BOTTLES,
BOXES,
CAPSULES,
CUPS,
DOSES,
G_PER_ML,
GRAMS,
IU,
IU_PER_ML,
OUNCES,
FLUID_OUNCES,
KG,
KITS,
LITERS,
MCG,
MG,
MG_PER_ML,
ML,
MMOL,
MICROGRAM_PER_ML,
PACKS,
PAIRS,
PATCHES,
PERCENTAGE,
PIECES,
POUCHES,
ROLLS,
SACHETS,
SHEETS,
SPRAYS,
STRIPS,
SYRINGES,
TABLETS,
TABLETS_PER_DAY,
TESTS,
TUBES,
UNITS,
VIALS,
TREATMENTS,
SESSIONS,
PULSES,
JOULES,
CENTIMETERS,
THREAD_COUNT,
INJECTIONS,
WRINKLE_UNITS,
POUNDS,
FEET,
INCHES
isPhysical
boolean
default:true

Whether the item is physical

isArchived
boolean
default:false

Whether the item is archived

internalNotes
string | null

Optional internal notes for the item

sortOrder
integer | null

Optional sort order for the item

allowCustomPricing
boolean
default:false

Whether custom pricing is allowed for this item

type
enum<string>
default:PRODUCT

Type of item (PRODUCT, MEDICATION, etc.)

Available options:
ITEM,
PRODUCT,
MEDICATION,
SERVICE,
PACKAGE,
MEMBERSHIP
externalId
string | null

Optional external ID for the item

exemptedTaxIds
string[] | null

List of tax IDs that this item is exempted from (excludes from scope-based taxes)

cost
integer | null

Cost of the item in cents

stocks
ItemStock · object[] | null

Optional linked stocks for the item